## akonadi1 1.13.0

=== libs/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

configure_file(akonadiprotocolinternals_export.h.in ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h)

# libakonadiprotocolinternals
set(akonadiprotocolinternals_srcs
  imapparser.cpp
  imapset.cpp
  notificationmessage.cpp
  notificationmessagev2.cpp
  notificationmessagev3.cpp
  xdgbasedirs.cpp
)

add_library(akonadiprotocolinternals ${LIBRARY_TYPE} ${akonadiprotocolinternals_srcs})

target_link_libraries(akonadiprotocolinternals ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY})
set_target_properties(akonadiprotocolinternals PROPERTIES
                        VERSION ${AKONADI_VERSION}
                        SOVERSION ${AKONADI_SOVERSION}
                        DEFINE_SYMBOL MAKE_AKONADIPROTOCOLINTERNALS_LIB
                      )

install(TARGETS akonadiprotocolinternals EXPORT akonadiLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${Akonadi_BINARY_DIR}/akonadiprotocolinternals_export.h
  imapparser_p.h
  imapset_p.h
  notificationmessage_p.h
  notificationmessagev2_p.h
  notificationmessagev3_p.h
  protocol_p.h
  xdgbasedirs_p.h
  capabilities_p.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/private
)

add_subdirectory(tests)

=== server/CMakeLists.txt ===
find_program(MYSQLD_EXECUTABLE NAMES mysqld
              PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin
              DOC "The mysqld executable path. ONLY needed at runtime"
            )

if(MYSQLD_EXECUTABLE)
   message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
   message(STATUS "MySQL Server wasn't found. it is required to use the MySQL backend.")
endif()

find_path(POSTGRES_PATH NAMES pg_ctl
              HINTS /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
                    /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
                    /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
              DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
         )

if(POSTGRES_PATH)
   message(STATUS "PostgreSQL Server found.")
else()
   message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()

include_directories(${Akonadi_SOURCE_DIR}/libs)
include_directories(${Akonadi_BINARY_DIR}/libs)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/handler)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/nepomuk)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tests)
include_directories(${Akonadi_SOURCE_DIR}/shared)
if(Soprano_FOUND)
  include_directories(${SOPRANO_INCLUDE_DIR})
endif()
include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR})
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

macro(akonadi_generate_schema _schemaXml _className _fileBaseName)
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.h
         ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.h
          --stringparam code header
          --stringparam className ${_className}
          --stringparam fileName ${_fileBaseName}
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${_schemaXml}
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/${_fileBaseName}.cpp
          --stringparam code source
          --stringparam className ${_className}
          --stringparam fileName ${_fileBaseName}
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${_schemaXml}
  DEPENDS ${Akonadi_SOURCE_DIR}/server/src/storage/schema.xsl
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema-header.xsl
          ${Akonadi_SOURCE_DIR}/server/src/storage/schema-source.xsl
          ${_schemaXml}
)
endmacro()


add_subdirectory(akonadictl)
add_subdirectory(control)
add_subdirectory(src)
add_subdirectory(tests)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")
if(MYSQLD_EXECUTABLE)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DMYSQLD_EXECUTABLE=\"\\\"${MYSQLD_EXECUTABLE}\\\"\"")
endif()

if(POSTGRES_PATH)
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DPOSTGRES_PATH=\"\\\"${POSTGRES_PATH}\\\"\"")
endif()

########### next target ###############

set(AKONADI_DB_SCHEME ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/akonadidb.xml)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/entities.h
         ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.h
          --stringparam code header
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
          --stringparam code source
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${AKONADI_DB_SCHEME}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities-header.xsl
          ${CMAKE_CURRENT_SOURCE_DIR}/src/storage/entities-source.xsl
          ${AKONADI_DB_SCHEME}
)

akonadi_generate_schema(${AKONADI_DB_SCHEME} AkonadiSchema akonadischema)

set(libakonadiprivate_SRCS
  src/akonadi.cpp
  src/commandcontext.cpp
  src/connection.cpp
  src/connectionthread.cpp
  src/collectionscheduler.cpp
  src/clientcapabilities.cpp
  src/clientcapabilityaggregator.cpp
  src/dbusconnectionpool.cpp
  src/handler.cpp
  src/handlerhelper.cpp
  src/intervalcheck.cpp
  src/response.cpp
  src/collectionreferencemanager.cpp
  src/handler/akappend.cpp
  src/handler/append.cpp
  src/handler/copy.cpp
  src/handler/colcopy.cpp
  src/handler/colmove.cpp
  src/handler/create.cpp
  src/handler/capability.cpp
  src/handler/delete.cpp
  src/handler/expunge.cpp
  src/handler/fetch.cpp
  src/handler/fetchhelper.cpp
  src/handler/fetchscope.cpp
  src/handler/link.cpp
  src/handler/list.cpp
  src/handler/login.cpp
  src/handler/logout.cpp
  src/handler/merge.cpp
  src/handler/modify.cpp
  src/handler/move.cpp
  src/handler/remove.cpp
  src/handler/resourceselect.cpp
  src/handler/scope.cpp
  src/handler/search.cpp
  src/handler/searchhelper.cpp
  src/handler/searchpersistent.cpp
  src/handler/searchresult.cpp
  src/handler/select.cpp
  src/handler/subscribe.cpp
  src/handler/status.cpp
  src/handler/store.cpp
  src/handler/tagappend.cpp
  src/handler/tagfetch.cpp
  src/handler/tagfetchhelper.cpp
  src/handler/tagremove.cpp
  src/handler/tagstore.cpp
  src/handler/transaction.cpp
  src/search/agentsearchengine.cpp
  src/search/agentsearchinstance.cpp
  src/search/searchtaskmanager.cpp
  src/search/searchtaskmanagerthread.cpp
  src/search/searchrequest.cpp
  src/search/searchmanager.cpp

  src/storage/collectionqueryhelper.cpp
  src/storage/entity.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/entities.cpp
  ${CMAKE_CURRENT_BINARY_DIR}/akonadischema.cpp
  src/storage/datastore.cpp
  src/storage/dbconfig.cpp
  src/storage/dbconfigmysql.cpp
  src/storage/dbconfigpostgresql.cpp
  src/storage/dbconfigsqlite.cpp
  src/storage/dbexception.cpp
  src/storage/dbinitializer.cpp
  src/storage/dbinitializer_p.cpp
  src/storage/dbintrospector.cpp
  src/storage/dbintrospector_impl.cpp
  src/storage/dbupdater.cpp
  src/storage/dbtype.cpp
  src/storage/itemqueryhelper.cpp
  src/storage/itemretriever.cpp
  src/storage/itemretrievalmanager.cpp
  src/storage/itemretrievalthread.cpp
  src/storage/itemretrievaljob.cpp
  src/storage/notificationcollector.cpp
  src/storage/parthelper.cpp
  src/storage/parttypehelper.cpp
  src/storage/query.cpp
  src/storage/querybuilder.cpp
  src/storage/querycache.cpp
  src/storage/queryhelper.cpp
  src/storage/schematypes.cpp
  src/storage/transaction.cpp
  src/storage/parthelper.cpp
  src/storage/partstreamer.cpp
  src/storage/storagedebugger.cpp
  src/tracer.cpp
  src/utils.cpp
  src/dbustracer.cpp
  src/filetracer.cpp
  src/notificationmanager.cpp
  src/notificationsource.cpp
  src/resourcemanager.cpp
  src/cachecleaner.cpp
  src/debuginterface.cpp
  src/imapstreamparser.cpp
  src/preprocessorinstance.cpp
  src/preprocessormanager.cpp
  src/storagejanitor.cpp
)

if (Soprano_FOUND)
  set(libakonadiprivate_SRCS
    ${libakonadiprivate_SRCS}
    src/nepomuksearch.cpp
    src/search/nepomuksearchengine.cpp
    src/nepomuk/dbusoperators.cpp
    src/nepomuk/queryserviceclient.cpp
    src/nepomuk/result.cpp
  )

  set_source_files_properties(src/nepomuk/org.kde.nepomuk.QueryService.xml PROPERTIES INCLUDE "dbusoperators.h")
  set_source_files_properties(src/nepomuk/org.kde.nepomuk.Query.xml PROPERTIES INCLUDE "result.h")

  qt4_add_dbus_interface(libakonadiprivate_SRCS src/nepomuk/org.kde.nepomuk.QueryService.xml queryserviceinterface)
  qt4_add_dbus_interface(libakonadiprivate_SRCS src/nepomuk/org.kde.nepomuk.Query.xml queryinterface)
endif()

qt4_generate_dbus_interface(src/debuginterface.h org.freedesktop.Akonadi.DebugInterface.xml)

qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.TracerNotification.xml dbustracer.h Akonadi::Server::DBusTracer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Tracer.xml tracer.h Akonadi::Server::Tracer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.NotificationManager.xml notificationmanager.h Akonadi::Server::NotificationManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Server.xml akonadi.h Akonadi::Server::AkonadiServer)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.NotificationSource.xml notificationsource.h Akonadi::Server::NotificationSource)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.StorageDebugger.xml storage/storagedebugger.h Akonadi::Server::StorageDebugger)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml debuginterface.h Akonadi::Server::DebugInterface)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resourcemanager.h Akonadi::Server::ResourceManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessormanager.h Akonadi::Server::PreprocessorManager)
qt4_add_dbus_adaptor(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.SearchManager.xml search/searchmanager.h Akonadi::Server::SearchManager)
qt4_add_dbus_interfaces(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.AgentManager.xml ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Resource.xml)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Preprocessor.xml preprocessorinterface)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Control.xml agentcontrolinterface)
qt4_add_dbus_interface(libakonadiprivate_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Search.xml agentsearchinterface)

qt4_add_resources(libakonadiprivate_SRCS src/storage/akonadidb.qrc)


add_library(akonadiprivate STATIC ${libakonadiprivate_SRCS})

if(QT5_BUILD)
  # TODO: Remove when Qt 4 is no longer supported.
  set_property(TARGET akonadiprivate APPEND PROPERTY COMPILE_DEFINITIONS QT_DISABLE_DEPRECATED_BEFORE=0)
endif()

target_link_libraries(akonadiprivate
  akonadi_shared
  ${QT_QTCORE_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  ${QT_QTSQL_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${AKONADI_PROTOCOLINTERNALS_LIBS}
  ${AKONADI_SYSTEM_LIBS}
  ${Boost_PROGRAM_OPTIONS_LIBRARY}
)

if(Soprano_FOUND)
  target_link_libraries(akonadiprivate ${SOPRANO_LIBRARIES})
endif()

set(akonadiserver_bin_SRCS src/main.cpp)

if(AKONADI_STATIC_SQLITE)
  add_definitions(-DQT_STATICPLUGIN)
endif()

add_executable(akonadiserver_bin ${akonadiserver_bin_SRCS})
set_target_properties(akonadiserver_bin PROPERTIES OUTPUT_NAME akonadiserver)
target_link_libraries(akonadiserver_bin akonadi_shared akonadiprivate ${QT_QTCORE_LIBRARY})
if(AKONADI_STATIC_SQLITE)
  target_link_libraries(akonadiserver_bin qsqlite3)
endif()

install(TARGETS akonadiserver_bin DESTINATION ${BIN_INSTALL_DIR})
install(FILES
  src/storage/mysql-global.conf
  src/storage/mysql-global-mobile.conf
  DESTINATION ${CONFIG_INSTALL_DIR}/akonadi)

install(FILES
  src/search/abstractsearchplugin.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi)

## DBus XML files
install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.DebugInterface.xml
DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== libs/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

macro(add_unit_test _source)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  add_executable(${_name} ${_source})
  add_test(akonadi-${_name} ${_name})
  target_link_libraries(${_name} akonadiprotocolinternals ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARIES})
endmacro()

add_unit_test(notificationmessagetest.cpp)
add_unit_test(notificationmessagev2test.cpp)
add_unit_test(imapparserbenchmark.cpp)

=== server/tests/unittest/CMakeLists.txt ===
########### next target ###############

# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../../src)

akonadi_generate_schema(${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/unittest_schema.xml UnitTestSchema unittestschema)

set(AKONADI_DB_DATA ${CMAKE_CURRENT_SOURCE_DIR}/dbtest_data/dbdata.xml)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp
  COMMAND ${XSLTPROC_EXECUTABLE}
          --output ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp
          ${CMAKE_CURRENT_SOURCE_DIR}/dbpopulator.xsl
          ${AKONADI_DB_DATA}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/dbpopulator.xsl
          ${AKONADI_DB_DATA}
)

set(common_SRCS
    unittestschema.cpp
    fakeconnection.cpp
    fakedatastore.cpp
    fakeclient.cpp
    fakeakonadiserver.cpp
    fakesearchmanager.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/dbpopulator.cpp
)

add_library(akonadi_unittest_common STATIC ${common_SRCS})
target_link_libraries(akonadi_unittest_common akonadiprivate)

macro(add_server_test _source _libs)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  qt4_add_resources(_test dbtest_data/dbtest_data.qrc)
  add_executable(${_name} ${_test})
  add_test(akonadi-${_name} ${_name})
  target_link_libraries(${_name} akonadi_shared akonadi_unittest_common ${_libs} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARIES} ${QT_QTSQL_LIBRARY} ${QT_QTDBUS_LIBRARY})
  if(AKONADI_STATIC_SQLITE)
    target_link_libraries(${_name} qsqlite3)
  endif()
endmacro()

macro(add_handler_test _source)
  add_server_test(${_source} akonadiprivate)
endmacro()

add_server_test(imapstreamparsertest.cpp akonadiprivate)
add_server_test(scopetest.cpp akonadiprivate)
add_server_test(handlerhelpertest.cpp akonadiprivate)
add_server_test(dbtypetest.cpp akonadiprivate)
add_server_test(dbintrospectortest.cpp akonadiprivate)
add_server_test(querybuildertest.cpp akonadiprivate)
add_server_test(dbinitializertest.cpp akonadiprivate)
add_server_test(dbupdatertest.cpp akonadiprivate)
add_server_test(akdbustest.cpp akonadiprivate)
add_server_test(akstandarddirstest.cpp akonadiprivate)
add_server_test(handlertest.cpp akonadiprivate)
add_server_test(dbconfigtest.cpp akonadiprivate)
add_server_test(parthelpertest.cpp akonadiprivate)
add_server_test(clientcapabilityaggregatortest.cpp akonadiprivate)
add_server_test(fetchscopetest.cpp akonadiprivate)
add_server_test(itemretrievertest.cpp akonadiprivate)
add_server_test(notificationmanagertest.cpp akonadiprivate)
add_server_test(parttypehelpertest.cpp akonadiprivate)

add_server_test(partstreamertest.cpp akonadiprivate)

add_server_test(akappendhandlertest.cpp akonadiprivate)
add_server_test(linkhandlertest.cpp akonadiprivate)
add_server_test(listhandlertest.cpp akonadiprivate)
add_server_test(modifyhandlertest.cpp akonadiprivate)
add_server_test(createhandlertest.cpp akonadiprivate)
add_server_test(collectionreferencetest.cpp akonadiprivate)

=== debian/changelog ===
akonadi1 (1.13.0-8ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:12:01 +0000

akonadi1 (1.13.0-8ubuntu1) wily; urgency=medium

  * Rename source to akonadi1 from akonadi
    + This is now a transitional source to allow kde4pimlibs applications to
      install
    + Merge with debian unstable
    + Rename akonadi-dbg to akonadi1-dbg to reflect the change in the source
    + Rip out all runtime packages (-server -backend-*) as we do not support
      actually running the akonadi1 server
    + Break&replace old packages
    + libakonadi-dev conflicts libkf5akonadiserver-dev as they install the
      same dbus interfaces and thus must not be installed at the same time

 -- Harald Sitter <sitter@kde.org>  Wed, 02 Sep 2015 14:37:58 +0200

akonadi (1.13.0-8) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Aug 2015 00:41:28 +0200

akonadi (1.13.0-7) unstable; urgency=medium

  * Team upload.
  * Removed some patches introduced in previous upload due to regressions
    causing invalid SQL commands.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 12:30:32 +1000

akonadi (1.13.0-6) unstable; urgency=medium

  * Team upload.
  * New "upstream-MOVEcomplete.patch" (fixes deadlock).
  * Bunch of optimisation patches from upstream 1.13 branch.
  * Install "akonadictl.1" man page.
  * copyright: reviewed, converted to copyright-format-1.0 and updated.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 03:26:42 +1000

akonadi (1.13.0-5) unstable; urgency=medium

  * Team upload.
  * New upstream patches:
    + upstream-use-QAtomicInt.patch
    + upstream-prevent-QTimer-negative-interval.patch
  * Initialise PSQL database with "--data-checksums" (Closes: #791807).
  * Build-Depends: removed "mysql-server-core" (not needed on build time).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 20:31:33 +1000

akonadi (1.13.0-4) unstable; urgency=medium

  * Team upload.
  * backend-mysql: depend on MySQL-5.6 or any MySQL flavour (Closes: #746651)
    Depends:
    - mysql-server-core-5.5 | mysql-server-core
    + mysql-server-core-5.6 | virtual-mysql-server-core
  * Standards-Version: 3.9.6.
  * xs-testsuite-header-in-debian-control: removed "XS-Testsuite" header.
  * Updated Vcs-Browser URL.
  * Patches renamed to consistently end with ".patch".
  * New patch to add PostgreSQL 9.4 search path (Closes: #791805).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 23:56:38 +1000

akonadi (1.13.0-3) unstable; urgency=medium

  * Team upload.
  * Apply upstream_dont_leak_old_external_payload_files.patch which fixes a bug
    that let old files be kept when they should be removed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 30 Jun 2015 12:03:32 -0300

akonadi (1.13.0-2ubuntu5) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 11:57:02 +0100

akonadi (1.13.0-2ubuntu4) vivid; urgency=medium

  * debian/rules: re-enable the override_dh_installinit target, disabled
    in an earlier merge from debian. This allows dh-apparmor to create
    the postinst for the akonadi-backend-mysql package, which creates
    the missing part of that package's apparmor profile at install time
    (LP: #1440501)

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 15 Apr 2015 10:48:33 -0700

akonadi (1.13.0-2ubuntu3) vivid; urgency=medium

  * Still prefer mysql 5.6, but allow any mysql implementation that provides
    virtual-mysql-server-core and virtual-mysql-client-core
    (LP: #1336005)
  * Force dependency on akonadi-backend-mysql for akonadi-server.
    (was accidentally dropped in the last debian merge)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Apr 2015 16:57:20 +0200

akonadi (1.13.0-2ubuntu2) vivid; urgency=medium

  * Allow using mariadb 10.0 as backend for akonadi-backend-mysql
    (LP: #1441119)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Apr 2015 18:25:44 +0200

akonadi (1.13.0-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.5 and
      mysql-client-core-5.5 or *5.6 instead of mysql-server-core.
    - Force dependency on akonadi-backend-mysql for akonadi-server.
    - Keep debian/libakonadiprotocolinternals1.symbols from Ubuntu
    - Add Kubuntu to the maintainers as we are moving to debian git.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 31 Oct 2014 14:50:27 +0000

akonadi (1.13.0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump the priority of all the binaries, except akonadi-dbg, to optional
    (as other packages depend on them).

  [ Maximiliano Curia ]
  * New upstream patch: upstream-fix_typo_in_if_condition
  * New upstream patch: upstream-
    fix_buffer_overflow_in_AKTEST_FAKESERVER_MAIN
  * New upstream patch: upstream-
    do_not_crash_when_setmntent_returns_NULL
  * Update symbols files from buildds logs (1.13.0-1).
  * New upstream patch: upstream_dont_call_insert_from_Q_ASSERT
  * libakonadi-dev: Add libqt4-dev Dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 19 Sep 2014 11:04:57 +0200

akonadi (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patches.
  * Update symbols file.
  * Add missing breaks for kdepim-runtime << 4:4.13. (Closes: #749776)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Aug 2014 21:01:28 +0200

akonadi (1.12.91-0ubuntu1) utopic; urgency=medium

  * New upstream release needed for KDE 4.13.90 beta 2
  * Remove patches applied upstream.
  * Update symbols with batchpatch.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 15:38:49 -0700



=== debian/control ===
Source: akonadi1
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: automoc,
               cmake (>= 2.8.8),
               debhelper (>= 9),
               dh-apparmor,
               libboost-program-options-dev,
               libdbus-1-dev,
               libmysqlclient-dev,
               libqt4-dev (>= 4:4.8.0),
               libsoprano-dev (>= 2.7.56),
               libsqlite3-dev (>= 3.6.23),
               libxslt-dev,
               pkg-kde-tools (>= 0.12),
               shared-mime-info (>= 0.20),
               xsltproc
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/krap/akonadi1.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/akonadi1.git

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: kdepim-runtime (<< 4:4.13), libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}),
         libboost-dev,
         libqt4-dev (>= 4:4.8.0),
         ${misc:Depends}
Suggests: pkg-config
Conflicts: libkf5akonadiserver-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libakonadiprotocolinternals1 (= ${binary:Version}), ${misc:Depends}
Breaks: akonadi-dbg (<< 1.13.0-8ubuntu1~)
Replaces: akonadi-dbg (<< 1.13.0-8ubuntu1~)
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND += -fvisibility=hidden -fvisibility-inlines-hidden
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
	    -DINSTALL_QSQLITE_IN_QT_PREFIX=ON \
	    -DCONFIG_INSTALL_DIR=/etc

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=akonadi1-dbg

override_dh_auto_test:
	# Avoid tests extra build dependencies, check them with autopkgtests

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libxml2-utils
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/akonadi/src/akonadi-([\d.]+).tar.bz2
